Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358609 - verilator-3.874-3.fc24 terminate with SIGABRT [NEEDINFO]
Summary: verilator-3.874-3.fc24 terminate with SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: verilator
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Scott Tsai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 06:53 UTC by Klaus Pedersen
Modified: 2016-12-07 07:54 UTC (History)
3 users (show)

Fixed In Version: verilator-3.890-1.fc23 verilator-3.890-1.fc25 verilator-3.890-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-07 01:23:11 UTC
projectu: needinfo? (extras-qa)


Attachments (Terms of Use)

Description Klaus Pedersen 2016-07-21 06:53:41 UTC
Description of problem:

After upgrading to fc24, verilator is no longer usable and as it
consistently crash on non-trivial input.


Version-Release number of selected component (if applicable):

3.874-3.fc24


How reproducible:

Consistently crash on non-trivial code.


Steps to Reproduce

1. Get some verilog code, example code in 
    /usr/share/doc/verilator/examples/test_v/
will do

2. compile using:
verilator -cc /usr/share/doc/verilator/examples/test_v/top.v -I/usr/share/doc/verilator/examples/test_v/


Actual results:

No stack.
%Error: Verilator internal fault, sorry.  Consider trying --debug --gdbbt
%Error: Command Failed /usr/bin/verilator_bin --gdbbt -cc /usr/share/doc/verilator/examples/test_v/top.v -I/usr/share/doc/verilator/examples/test_v/


Expected results:

no 'internal fault'(!)


Additional info:

1) The problem seem to be fixed in the latest release '3.884',
tracked in #1087393 .

(Why was the newer packages never pushed?)



2) Running in gdb give this backtrace:

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff7adf9d0 in __dynamic_cast () from /lib64/libstdc++.so.6
(gdb) bt
#0  0x00007ffff7adf9d0 in __dynamic_cast () from /lib64/libstdc++.so.6
#1  0x0000000000669747 in V3ParseGrammar::createVariable(FileLine*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, AstRange*, AstNode*) ()
#2  0x000000000066d5d6 in yyparse() ()
#3  0x000000000067eba0 in V3ParseImp::bisonParse() ()
#4  0x0000000000664b33 in V3ParseImp::lexFile(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) ()
#5  0x00000000006672a2 in V3ParseImp::parseFile(FileLine*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, bool, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&) ()
#6  0x0000000000667ecd in V3Parse::parseFile(FileLine*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, bool, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)
    ()
#7  0x0000000000406d76 in V3Global::readFiles() ()
#8  0x0000000000407f96 in main ()

Comment 1 Klaus Pedersen 2016-08-11 02:39:02 UTC
@Scottt, This bug has been fixed upstream - as tracked by bug 1087393.

Comment 2 Fedora Update System 2016-11-28 01:48:20 UTC
verilator-3.890-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4de5bee114

Comment 3 Fedora Update System 2016-11-28 01:48:34 UTC
verilator-3.890-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-42735a7f7d

Comment 4 Fedora Update System 2016-11-28 01:48:42 UTC
verilator-3.890-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-087e602b7e

Comment 5 Fedora Update System 2016-11-28 09:33:13 UTC
verilator-3.890-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-087e602b7e

Comment 6 Fedora Update System 2016-11-28 09:34:01 UTC
verilator-3.890-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-42735a7f7d

Comment 7 Fedora Update System 2016-11-28 09:37:15 UTC
verilator-3.890-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4de5bee114

Comment 8 Fedora Update System 2016-12-07 01:23:11 UTC
verilator-3.890-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-12-07 05:24:18 UTC
verilator-3.890-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-07 07:54:52 UTC
verilator-3.890-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.